/************************************************************
|>> Stylo da Caixa de Alerta <<|
************************************************************/
/* Estado inicial: Escondido acima da tela, centralizado horizontalmente */
/* Container para a tela de Login */
.container-msg-alerta-login {
    width: 340px;
    position: fixed;
    top: 20px;
    left: 50%;
    background: var(--container-background);
    box-shadow: var(--container-box-shadow);
    padding: 15px 20px;
    border-radius: var(--container-border-radius);
    display: flex;
    align-items: center;
    gap: 15px;
    z-index: 1000;
    transform: translate(-50%, -200%);
    transition: transform 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
/* Essa Configiração do "container-msg-alerta-login-open" Vem do .js Arquvo => "msg-alerta-view-login.js" */
.container-msg-alerta-login-open {
    transform: translate(-50%, 0%);
}
/* Container para as Telas de view */
.container-msg-alerta-view {
    width: 340px;
    position: fixed;
    top: 75px;
    left: 10px;
    background: var(--container-background);
    box-shadow: var(--container-box-shadow);
    padding: 15px 20px;
    border-radius: var(--container-border-radius);
    display: flex;
    align-items: center;
    gap: 15px;
    z-index: 1000;
    transform: translateX(-120%);
    transition: transform 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
/* Essa Configiração do "container-msg-alerta-view-open" Vem do .js Arquvo => "msg-alerta-view-login.js"*/ 
.container-msg-alerta-view-open {
    transform: translateX(0);
}

/* Configuração geral para todos os container de msg-alerta*/
.msg-alerta-icone i {
    font-size: 30px;
}
.msg-alerta-texto P {
    margin: 0;
    font-size: 16px;
    font-weight: 500;
}

/* Cores dos Alertas */
.msg-alerta-aviso { border-left: 5px solid rgb(255, 145, 0); }
.msg-alerta-aviso .msg-alerta-icone { color: rgb(255, 145, 0); }

.msg-alerta-erro { border-left: 5px solid rgb(255, 0, 0); }
.msg-alerta-erro .msg-alerta-icone { color: rgb(255, 0, 0); }

.msg-alerta-sucesso  { border-left: 5px solid rgb(0, 255, 0); }
.msg-alerta-sucesso .msg-alerta-icone { color: rgb(0, 255, 0); }

/* Modo Mobile */
@media (max-width: 620px) {
    .container-msg-alerta-login {
       width: 80%; 
    }
    .container-msg-alerta-view {
        width: 80%;
    }
}